Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Class CmException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.StubException
                          com.compoze.collab.beacm.CmException

All Implemented Interfaces
  Serializable

    public class CmException

extends StubException

The `CmException` class is used to encapsulate errors communicating with the backend. These errors are typically non-recoverable.

See Also
  Serialized Form

Constructor Summary
`CmException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)`
`CmException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)`
`CmException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)`
`CmException(Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, Object param)`

Method Summary

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmException

    public CmException(com.compoze.collab.spi.Context ctx,
                       com.compoze.collab.spi.ExceptionResourceKey key,
                       Object param)

### CmException

    public CmException(com.compoze.collab.spi.Context ctx,
                       com.compoze.collab.spi.ExceptionResourceKey key)

### CmException

    public CmException(Throwable t,
                       com.compoze.collab.spi.Context ctx,
                       com.compoze.collab.spi.ExceptionResourceKey key,
                       Object param)

### CmException

    public CmException(Throwable t,
                       com.compoze.collab.spi.Context ctx,
                       com.compoze.collab.spi.ExceptionResourceKey key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved